body {
  background-color: white;
  font-family:"Georgia" ;
  font-size:14px;
  padding:10px;
}

h1 {
  color:black;
  text-align: center;
}
  
a:link{
  color: gray;
  text-align:center;
  text-decoration: none;
}

a:visited{
  color: purple;
  background-color:transparent;
  text-decoration: none;
}

a:hover{
 color:orange;
 background-color:transparent;
 text-decoration:none;
 transition: color 0.5s ease;
}

header {
  background: #f9f9f9;
  border-bottom: 1px solid gray;
  padding: 1rem 1rem;
}

header.container{
  display:flex;
  width: auto;
  max-width: 800px;
  margin: auto;
  justify-content: space-between;
  align-items: center;
  padding:30px;
}

header h1 {
  color: #2c3e50;
  padding:10px;
  display: inline-flex;
  width:auto

}

.navbar {
  display: flex;
  width: auto;
  list-style-type: none;
  justify-content: space-evenly;
  align-items: center;
  padding: 2rem 2rem;
}

nav ul {
  list-style: none;
  display: flex;
  gap: 1.5rem;  
  float:left;
  justify-content: left;
}

nav ul li a {
  color: black;
  padding:auto;
  font-weight: 500;
  transition: color 0.4s ease;
  
}

.nav-links a:hover {
  color: orangered;


}


main {

  width:auto;
  margin:auto;
  max-width: 800px;
  padding:3px;
}

footer {
 width:auto;
 max-width: 800px;
 background-color:#f9f9f9;
 padding:3px;
 float:center;
 padding:5px;
 margin:auto;
 border-top: 3px solid gray;
}

.footer-address {
  text-align:center;
  padding:10px;
  float:center;
  color:#2c3e50;
}

.definition {
  padding:10px;
  text-align: justify;
  border-left: 2px solid gray;
  background-color: rgba(240, 233, 233,0.4);
}
.blog-card {
  border-bottom: 2px solid gray;
  width: 70%;
  margin:auto;
  margin-top: 20px;
}

.blog-card-title h2 {
  font-size: 14px;
  color: rgb(23, 23, 23);
  text-align: left;
  padding-left: 20px; 
}

.blog-card-description {
  text-align: justify;
}
.documentation-card {
  border:2px solid gray;
  border-radius: 10px;
  display: block;
  padding: 10px;
  margin:auto;
}

.description-documentation-card {
  width:60%;
  display: inline-block;
}

.img-documentation-card {
 width:30%;
 display: inline-block;
}
.documentation-card:hover {
  box-shadow: 0 4px 4px rgba(0, 0, 0, 0.2);
  transition:box-shadow 0.5s ease;
}

.code {
  font-family:'Lucida Console';
  font-size:12px;
  color:darkred;
  background-color: rgba(228, 222, 222, 0.677);
  padding:10px;
  border:2px solid gray;
  border-radius:10px;
}

.code-inline {
  font-size:12px;
  font-family:'Lucida Console';
  color:purple;
}

.table-python-functions {
  padding:10px;
  border: 2px solid gray;
  border-radius:10px; 
  margin:auto;
}

.table-python-functions ul {
  list-style-type: none;
}

.table-python-functions ul li {
  margin-top:10px;
}

